Subject: [PATCH 0/5] Add --symlink option to 'guix shell'.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 26 Oct 2022 23:41:54 -0400

Hi,

I've wanted this enough times now to finally get around implementing it :-).
My main use case for it will be creating a /usr/bin/env symlink in 'guix
shell' environments for portability with the #!/usr/bin/env
shebang.

While at it, I've improved error reporting and made it fail early when a
symlink would point to a nonexistent file (dangling symlink).

The test suite passes, and I've run the basic system test as well as the
'btrfs-root-os' one successfully.

Thanks,

Maxim Cournoyer (5):
  Makefile.am: Sort EXTRA_DIST entries.
  tests: Add a tests/utils.sh support file.
  install: Validate symlink target in evaluate-populate-directive.
  guix: shell: Add '--symlink' option.
  shell: Detect --symlink spec problems early.

 Makefile.am                  |  55 ++++---
 doc/guix.texi                |   9 +-
 gnu/build/install.scm        |  78 ++++++---
 guix/scripts/environment.scm | 298 +++++++++++++++++++----------------
 guix/scripts/pack.scm        | 208 ++++++++++++------------
 guix/scripts/shell.scm       |  77 ++++-----
 tests/guix-pack.sh           |   2 +-
 tests/guix-shell.sh          |  21 +++
 tests/shell-utils.scm        |  29 ++++
 tests/utils.sh               |  33 ++++
 10 files changed, 483 insertions(+), 327 deletions(-)
 create mode 100644 tests/shell-utils.scm
 create mode 100644 tests/utils.sh

-- 
2.37.3